Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.transport
Class RequestResponseTransport.RequestResponseTransportStatus

    java.lang.Object
      org.apache.axis2.transport.RequestResponseTransport.RequestResponseTransportStatus

Enclosing interface:
  RequestResponseTransport

    public static class RequestResponseTransport.RequestResponseTransportStatus

extends java.lang.Object

Used to give the current status of the RequestResponseTransport object.

Field Summary
`static RequestResponseTransport.RequestResponseTransportStatus` | `ACKED` acknowledgeMessage has been called.
`static RequestResponseTransport.RequestResponseTransportStatus` | `INITIAL` Transport is in its initial stage.
`static RequestResponseTransport.RequestResponseTransportStatus` | `SIGNALLED` 'signalResponseReady' has been called.
`static RequestResponseTransport.RequestResponseTransportStatus` | `WAITING` awaitResponse has been called.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### INITIAL

    public static RequestResponseTransport.RequestResponseTransportStatus INITIAL

  Transport is in its initial stage.

### WAITING

    public static RequestResponseTransport.RequestResponseTransportStatus WAITING

  awaitResponse has been called.

### ACKED

    public static RequestResponseTransport.RequestResponseTransportStatus ACKED

  acknowledgeMessage has been called.

### SIGNALLED

    public static RequestResponseTransport.RequestResponseTransportStatus SIGNALLED

  'signalResponseReady' has been called.

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.